View Issue Details

IDProjectCategoryView StatusLast Update
0032107Open CASCADEOCCT:Data Exchangepublic2021-09-11 14:06
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032107: Data Exchange, RWGltf_CafReader - reading glTF document back loses sharing
DescriptionReading glTF document back loses sharing information stored by RWGltf_CafWriter.
Steps To Reproduce
test v3d glsl pbr_spheres 1
WriteGltf  D test1.glb
file size    test1.glb
# OK, 124 KiB

ReadGltf  DD test1.glb
WriteGltf DD test2.glb
file size    test2.glb
# KO, 1.28 MiB

ReadGltf  DDD test2.glb
WriteGltf DDD test3.glb
file size     test3.glb
# OK, same as test2.glb
TagsNo tags attached.
Test case numberde_mesh/gltf_write/spheres

Attached Files

  • spheres.xbf.7z (20,013 bytes)

Relationships

child of 0030691 closedbugmaster Data Exchange - implement import of mesh data from files in glTF format 
child of 0030953 closedbugmaster Data Exchange - implement export of mesh data into glTF 2.0 format 

Activities

kgv

2021-02-02 10:54

developer  

spheres.xbf.7z (20,013 bytes)

git

2021-09-05 20:07

administrator   ~0103821

Branch CR32107 has been created by kgv.

SHA-1: 79d07d7bc9ff00a1030bbac911af3f96a410e478


Detailed log of new commits:

Author: kgv
Date: Sun Sep 5 18:40:55 2021 +0300

    0032107: Data Exchange, RWGltf_CafReader - reading glTF document back loses sharing

git

2021-09-05 22:11

administrator   ~0103822

Branch CR32107 has been updated forcibly by kgv.

SHA-1: 281a4916125807ee3640eb1868632f234c2de926

git

2021-09-05 22:46

administrator   ~0103823

Branch CR32107 has been updated forcibly by kgv.

SHA-1: 1b20c51d0da50a94a36b968a19d0400ff5cb599a

git

2021-09-05 23:08

administrator   ~0103824

Branch CR32107 has been updated forcibly by kgv.

SHA-1: 41538cba646346480553dbf5f758cf483082ebae

git

2021-09-05 23:11

administrator   ~0103825

Branch CR32107 has been updated forcibly by kgv.

SHA-1: 316b87bffbc0e3c8b5e49a573b7e4fd49876e99c

git

2021-09-05 23:38

administrator   ~0103841

Branch CR32107 has been updated forcibly by kgv.

SHA-1: 8adb367a4c384e301ecfd799330fc6e8ea6c19e0

git

2021-09-05 23:58

administrator   ~0103842

Branch CR32107 has been updated forcibly by kgv.

SHA-1: 5a00ef056325e51850a4af7aa89746691196dc34

kgv

2021-09-06 00:30

developer   ~0103843

Patch is ready for review
- OCCT: branch CR32107.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32107-master-KGV/

git

2021-09-06 09:11

administrator   ~0103844

Branch CR32107_tmp has been created by kgv.

SHA-1: d5bc6c4d91e5ce3f8fc87edf27e3a68b344869c8


Detailed log of new commits:

Author: kgv
Date: Mon Sep 6 09:11:21 2021 +0300

    # name fixes

git

2021-09-06 11:56

administrator   ~0103856

Branch CR32107_tmp has been updated forcibly by kgv.

SHA-1: 9063d31bc01316f71f36ab27187fd8b077ebda1c

git

2021-09-06 11:57

administrator   ~0103857

Branch CR32107_1 has been created by kgv.

SHA-1: c0ba52f810b6345c8fc974718f5c13ebe83ad7d2


Detailed log of new commits:

Author: kgv
Date: Sun Sep 5 18:40:55 2021 +0300

    0032107: Data Exchange, RWGltf_CafReader - reading glTF document back loses sharing
    
    RWGltf_CafWriter has been fixed to write shared Faces having a different style.
    RWGltf_GltfJsonParser::gltfParsePrimArray() now tries to create a shared TopoDS_Face
    from the same primitive array definition.
    
    RWGltf_CafReader - improved name generation.

osa

2021-09-08 13:56

developer   ~0103922

The patch was reviewed

kgv

2021-09-08 14:08

developer   ~0103923

Please raise the patch
- OCCT: branch CR32107_1.

smoskvin

2021-09-11 13:24

administrator   ~0104004

Combination -
OCCT branch : IR-2021-09-10
master SHA - 9ae883970dd77a39d856b49e6883ed5d0e60d20f
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-10 SHA - 2d2bc879e2da9d770a1938ab3410f5885c8555e7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17358.54000000042 / 17496.500000000422 [-0.79%]
Products
Total CPU difference: 11397.800000000112 / 11567.680000000111 [-1.47%]
Windows-64-VC14:
OCCT
Total CPU difference: 19328.109375 / 19307.609375 [+0.11%]
Products
Total CPU difference: 12733.328125 / 12920.953125 [-1.45%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-11 14:06

administrator   ~0104035

Branch CR32107 has been deleted by mnt.

SHA-1: 5a00ef056325e51850a4af7aa89746691196dc34

git

2021-09-11 14:06

administrator   ~0104036

Branch CR32107_1 has been deleted by mnt.

SHA-1: c0ba52f810b6345c8fc974718f5c13ebe83ad7d2

git

2021-09-11 14:06

administrator   ~0104037

Branch CR32107_tmp has been deleted by mnt.

SHA-1: 9063d31bc01316f71f36ab27187fd8b077ebda1c

Related Changesets

occt: master 35ad04e7

2021-09-05 15:40:55

kgv


Committer: smoskvin Details Diff
0032107: Data Exchange, RWGltf_CafReader - reading glTF document back loses sharing

RWGltf_CafWriter has been fixed to write shared Faces having a different style.
RWGltf_GltfJsonParser::gltfParsePrimArray() now tries to create a shared TopoDS_Face
from the same primitive array definition.

RWGltf_CafReader - improved name generation.
Affected Issues
0032107
mod - src/RWGltf/RWGltf_CafWriter.cxx Diff File
mod - src/RWGltf/RWGltf_CafWriter.hxx Diff File
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff File
mod - src/RWGltf/RWGltf_GltfJsonParser.hxx Diff File
mod - src/RWMesh/RWMesh_CafReader.cxx Diff File
mod - src/RWMesh/RWMesh_FaceIterator.cxx Diff File
mod - tests/de_mesh/gltf_write/as1 Diff File
add - tests/de_mesh/gltf_write/spheres Diff File

Issue History

Date Modified Username Field Change
2021-02-02 10:53 kgv New Issue
2021-02-02 10:53 kgv Assigned To => kgv
2021-02-02 10:54 kgv File Added: spheres.xbf.7z
2021-02-02 10:54 kgv Relationship added child of 0030691
2021-02-02 10:54 kgv Relationship added child of 0030953
2021-09-05 20:07 git Note Added: 0103821
2021-09-05 22:11 git Note Added: 0103822
2021-09-05 22:46 git Note Added: 0103823
2021-09-05 23:08 git Note Added: 0103824
2021-09-05 23:11 git Note Added: 0103825
2021-09-05 23:38 git Note Added: 0103841
2021-09-05 23:58 git Note Added: 0103842
2021-09-06 00:30 kgv Note Added: 0103843
2021-09-06 00:30 kgv Assigned To kgv => osa
2021-09-06 00:30 kgv Status new => resolved
2021-09-06 09:11 git Note Added: 0103844
2021-09-06 11:56 git Note Added: 0103856
2021-09-06 11:57 git Note Added: 0103857
2021-09-08 13:56 osa Note Added: 0103922
2021-09-08 13:56 osa Assigned To osa => bugmaster
2021-09-08 13:56 osa Status resolved => reviewed
2021-09-08 14:08 kgv Note Added: 0103923
2021-09-11 13:24 smoskvin Note Added: 0104004
2021-09-11 13:24 smoskvin Status reviewed => tested
2021-09-11 13:33 smoskvin Test case number => de_mesh/gltf_write/spheres
2021-09-11 13:43 smoskvin Changeset attached => occt master 35ad04e7
2021-09-11 13:43 smoskvin Assigned To bugmaster => smoskvin
2021-09-11 13:43 smoskvin Status tested => verified
2021-09-11 13:43 smoskvin Resolution open => fixed
2021-09-11 14:06 git Note Added: 0104035
2021-09-11 14:06 git Note Added: 0104036
2021-09-11 14:06 git Note Added: 0104037